﻿// <copyright file="EcoContribException.cs" company="Codeplex project Eco.Contrib"> 
// The MIT License (MIT) 
// </copyright> 
// <author>Peter Buchmann</author> 

using System;

[assembly: CLSCompliant(true)]

namespace Eco.Contrib
{
    using System.Runtime.Serialization;

    /// <summary>
    /// EcoContribException: Basis for all exceptions used in project Eco.Contrib
    /// </summary>
    [Serializable]
    public class EcoContribException : Exception
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="EcoContribException"/> class.
        /// </summary>
        public EcoContribException()
            : base()
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="EcoContribException"/> class.
        /// </summary>
        /// <param name="message">The message.</param>
        public EcoContribException(string message)
            : base(message)
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="EcoContribException"/> class.
        /// </summary>
        /// <param name="message">The message.</param>
        /// <param name="exception">The exception.</param>
        public EcoContribException(string message, Exception exception)
            : base(message, exception)
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="EcoContribException"/> class.
        /// </summary>
        /// <param name="serializationInfo">The serialization info.</param>
        /// <param name="streamingContext">The streaming context.</param>
        protected EcoContribException(SerializationInfo serializationInfo, StreamingContext streamingContext)
            : base(serializationInfo, streamingContext)
        {
        }
    }
}
