﻿// <copyright file="ESLEcoSpace.designer.cs" company="Codeplex project Eco.Contrib"> 
// The MIT License (MIT) 
// </copyright> 
// <author>Peter Buchmann</author> 

namespace Eco.Contrib
{
    /// <summary>
    /// ESLEcoSpace: Ecospace for ESL
    /// </summary>
    public partial class EslEcoSpace
    {
        /// <summary>
        /// Required designer variable
        /// </summary>
        private System.ComponentModel.Container components = null;

        /// <summary>
        /// persistenceMapperMemory: Persistence mapper memory
        /// </summary>
        private Eco.Persistence.PersistenceMapperMemory persistenceMapperMemory;

        /// <summary>
        /// Clean up any resources being used.
        /// </summary>
        /// <param name="disposing"><c>true</c> to release both managed and unmanaged resources; <c>false</c> to release only unmanaged resources.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                Active = false;
                if (this.components != null)
                {
                    this.components.Dispose();
                }
            }

            base.Dispose(disposing);
        }

        /// <summary>
        /// Initializes the component.
        /// </summary>
        private void InitializeComponent()
        {
            this.persistenceMapperMemory = new Eco.Persistence.PersistenceMapperMemory();
            this.AllowDeactivateDirty = true;
            this.PersistenceMapper = this.persistenceMapperMemory;
        }

        /// <summary>
        /// EcoScriptLanguagePackage: Used package
        /// </summary>
        private EcoScriptLanguagePackage IncludeEcoPackage_Eco_Contrib_EcoScriptLanguagePackage;
    }
}
