﻿// <copyright file="ImportExportBase.cs" company="Codeplex project Eco.Contrib"> 
// The MIT License (MIT) 
// </copyright> 
// <author>Peter Buchmann</author> 

namespace Eco.Contrib
{
    /// <summary>
    /// ImportExportBase: base class for import an export
    /// </summary>
    public class ImportExportBase
    {
        /// <summary>
        /// keyAttributes for the export or import
        /// </summary>
        private readonly KeyAttributeDictionary keyAttributes;

        /// <summary>
        /// Initializes a new instance of the <see cref="ImportExportBase"/> class.
        /// </summary>
        /// <param name="keyAttributes">The key attributes.</param>
        public ImportExportBase(KeyAttributeDictionary keyAttributes)
        {
            this.keyAttributes = keyAttributes;
        }

        /// <summary>
        /// Gets the key attributes.
        /// </summary>
        protected KeyAttributeDictionary KeyAttributes
        {
            get
            {
                return this.keyAttributes;
            }
        }
    }
}
